Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366279 - New Package: python-os-vif - A library for plugging and unplugging virtual interfaces in OpenStack.
Summary: New Package: python-os-vif - A library for plugging and unplugging virtual in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON 1366297
TreeView+ depends on / blocked
 
Reported: 2016-08-11 13:41 UTC by Alfredo Moralejo
Modified: 2016-08-25 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1366297 (view as bug list)
Environment:
Last Closed: 2016-08-25 14:11:45 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Alfredo Moralejo 2016-08-11 13:41:27 UTC
Description: A library for plugging and unplugging virtual interfaces in OpenStack. It has been introduced as dependency for nova in  https://review.openstack.org/#/c/350595/.

SPEC: https://raw.githubusercontent.com/amoralej/python-os-vif/master/python-os-vif.spec
SRPM: https://github.com/amoralej/python-os-vif/raw/master/python-os-vif-1.1.0-1.el7.centos.src.rpm

I've created a successfull build in copr https://copr.fedorainfracloud.org/coprs/amoralej/python-os-vif/build/440492/

Comment 1 David Moreau Simard 2016-08-11 14:02:00 UTC
Some comments:
https://github.com/amoralej/python-os-vif/blob/49208a1289b0f31153d055617a332f5c9a89edce/python-os-vif.spec#L54

Can you add the actual description ?
"A library for plugging and unplugging virtual interfaces in OpenStack."

https://github.com/amoralej/python-os-vif/blob/49208a1289b0f31153d055617a332f5c9a89edce/python-os-vif.spec#L58

I think the tests package should have some additional requires based on the test-requirements.txt: https://github.com/openstack/os-vif/blob/master/test-requirements.txt

Also note that building this package requires packages that aren't in fedora yet (or at least, not at the right required versions), please let us know how we can reproduce the build.

Comment 3 Alfredo Moralejo 2016-08-11 16:12:40 UTC
Sorry the right repo to build this package for fedora is:

https://trunk.rdoproject.org/f25/current/

in addition to rawhide repo.

Comment 4 Haïkel Guémar 2016-08-11 16:25:10 UTC
Package approved, project has been created in review.rdoproject.org



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 8 files have unknown license. Detailed output of licensecheck
     in /home/haikel/1366279-python-os-vif/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -os-vif , python2-os-vif-tests , python-os-vif-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.18 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
Mock Version: 1.2.18
INFO: Mock Version: 1.2.18
Finish: chroot init
INFO: installing package(s): /home/haikel/1366279-python-os-vif/results/python2-os-vif-tests-1.1.0-2.el7.noarch.rpm /home/haikel/1366279-python-os-vif/results/python-os-vif-doc-1.1.0-2.el7.noarch.rpm /home/haikel/1366279-python-os-vif/results/python2-os-vif-1.1.0-2.el7.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum-deprecated --installroot /var/lib/mock/cloud7-openstack-newton-el7-build/root/ install /home/haikel/1366279-python-os-vif/results/python2-os-vif-tests-1.1.0-2.el7.noarch.rpm /home/haikel/1366279-python-os-vif/results/python-os-vif-doc-1.1.0-2.el7.noarch.rpm /home/haikel/1366279-python-os-vif/results/python2-os-vif-1.1.0-2.el7.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-os-vif-1.1.0-2.el7.noarch.rpm
          python2-os-vif-tests-1.1.0-2.el7.noarch.rpm
          python-os-vif-doc-1.1.0-2.el7.noarch.rpm
          python-os-vif-1.1.0-2.el7.src.rpm
python2-os-vif.noarch: W: no-documentation
python2-os-vif-tests.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
python-os-vif-doc (rpmlib, GLIBC filtered):

python2-os-vif (rpmlib, GLIBC filtered):
    python(abi)
    python-netaddr
    python-oslo-concurrency
    python-oslo-config
    python-oslo-i18n
    python-oslo-log
    python-oslo-privsep
    python-oslo-versionedobjects
    python-pbr
    python-six
    python-stevedore

python2-os-vif-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-coverage
    python-hacking
    python-oslotest
    python-subunit
    python-testrepository
    python-testscenarios
    python-testtools
    python2-os-vif
    python2-oslo-versionedobjects-tests



Provides
--------
python-os-vif-doc:
    python-os-vif-doc

python2-os-vif:
    python-os-vif
    python2-os-vif

python2-os-vif-tests:
    python2-os-vif-tests



Source checksums
----------------
http://tarballs.openstack.org/os-vif/os_vif-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3c199840a6dae39b3c48ee4416ecff62f3931941dc939e4814b78b832de28aa3
  CHECKSUM(SHA256) upstream package : 3c199840a6dae39b3c48ee4416ecff62f3931941dc939e4814b78b832de28aa3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1366279 -m rdo-newton-el7
Buildroot used: cloud7-openstack-newton-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.